1
vote
0answers
349 views

Apache 2.2, PHP 5.3 and MySQLl 5.5 on Linux Mint 17?

Our stack consists of Apache 2.2, PHP 5.3 and MySQL 5.5. I've installed Linux Mint 17 Giana. If I install apache2 via apt, it will install Apache 2.4 which is not required for me. Is there any way ...
1
vote
1answer
59 views

How to get “apt-get -y upgrade” within a PHP script to function as expected?

Yes, I'm aware of unattended-upgrade, but I don't like that package's limitations. I've got a PHP script that makes the following calls: ... system("/usr/bin/apt-get update"); ...
1
vote
0answers
146 views

Libc-bin errors when trying to install php [closed]

I am trying to update and install php into my Ubuntu server 12. 04 using the command below: apt-get upgrade php apt-get install php5-curl php5-gd php5-mysql php5-pgsql However I receive this error ...
1
vote
5answers
4k views

How to install php5-memcached on Debian 7 with PHP 5.5?

My attempts to install the PHP 5 Memcached module on my Debian 7 VirtualBox VM failed: root@testvm:~# apt-get install php5-memcached Reading package lists... Done Building dependency tree ...
0
votes
2answers
395 views

Unresolved dependencies though the packages are installed (Debian 6 Sqeeze)

I'm working with a VirtualBox 4.2.14 VM and Debian 6 Sqeeze as guest system and want to install some PHP modules: root@devmv:~# apt-get install php5-fpm Reading package lists... Done Building ...
2
votes
2answers
4k views

How can I install php5-curl on Ubuntu 12.04 LTS (GNU/Linux 3.2.0-24-generic x86_64)

I have a working server running Ubuntu 12.04 LTS (GNU/Linux 3.2.0-24-generic x86_64), including apache and php. Now I want to add curl support for php by running this: apt-get install php5-curl ...
1
vote
0answers
320 views

Debian: Upgraded to php 5.3 and lost phpcli, php-pear, etc

I upgraded to PHP5.3 using this tutorial: http://www.debiantutorials.com/how-to-install-upgrade-to-php-5-3-on-debian-lenny/ It removed the following packages: Removing php-pear ... Removing ...
1
vote
2answers
353 views

PHP package won't install correctly

Yesterday I did apt-get upgrade on my Debian/testing and broke a php5 package. I even tried to remove & purge with apt and dpkg clean apt cache. When installed again clean, it fails with ...
2
votes
2answers
1k views

Fixing debian installer

I have a VPS with Debian GNU/Linux on it. I'm trying to install a PHP file manager so that people could access it and download stuff into a directory. I don't have anything in my /bin about PHP so ...